## im-ja-1.5.tar.gz

=== src/iiimf/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# src/iiimf/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/im-ja
pkglibdir = $(libdir)/im-ja
pkgincludedir = $(includedir)/im-ja
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = src/iiimf
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
im_ja_le_la_DEPENDENCIES =
am__im_ja_le_la_SOURCES_DIST = im-ja-le.c im-ja-iiimf-impl.c \
	IIIMGdkEventKey.c IIIMGdkEventkey.h ../im-ja.c ../im-ja.h \
	../im-ja-impl.h ../conf.c ../conf.h ../romakana.c \
	../romakana.h ../kanjipad/kanjipad.c ../kanjipad/kanjipad.h \
	../kanjipad/padarea.c ../kanjipad/padarea.h ../common.c \
	../common.h ../error.c ../error.h ../zenkaku-convtable.h \
	../hiragana-convtable.h ../halfkata-convtable.h ../statuswin.c \
	../statuswin.h ../preeditwin.c ../preeditwin.h \
	../preeditarea.c ../preeditarea.h ../candwin.c ../candwin.h \
	../symbols.c ../symbols.h ../actionmenu.c ../actionmenu.h \
	../wnn/wnn.c ../wnn/wnn.h ../wnn/wnnlib.c ../wnn/wnnlib.h \
	../wnn/wstring.c ../wnn/wstring.h ../canna/canna_rk.c \
	../canna/canna_rk.h ../anthy/anthy.c ../anthy/anthy.h \
	../skk/skk.c ../skk/skk.h ../skk/connserv.c ../skk/skkconfig.h \
	../skk/skkconv.c ../skk/skkconv.h ../skk/skklib.c \
	../skk/skklib.h
#am__objects_1 = im_ja_le_la-wnn.lo \
#	im_ja_le_la-wnnlib.lo \
#	im_ja_le_la-wstring.lo
am__objects_2 = im_ja_le_la-canna_rk.lo
am__objects_3 = im_ja_le_la-anthy.lo
am__objects_4 = im_ja_le_la-skk.lo \
	im_ja_le_la-connserv.lo \
	im_ja_le_la-skkconv.lo \
	im_ja_le_la-skklib.lo
am_im_ja_le_la_OBJECTS = im_ja_le_la-im-ja-le.lo \
	im_ja_le_la-im-ja-iiimf-impl.lo im_ja_le_la-IIIMGdkEventKey.lo \
	im_ja_le_la-im-ja.lo im_ja_le_la-conf.lo \
	im_ja_le_la-romakana.lo im_ja_le_la-kanjipad.lo \
	im_ja_le_la-padarea.lo im_ja_le_la-common.lo \
	im_ja_le_la-error.lo im_ja_le_la-statuswin.lo \
	im_ja_le_la-preeditwin.lo im_ja_le_la-preeditarea.lo \
	im_ja_le_la-candwin.lo im_ja_le_la-symbols.lo \
	im_ja_le_la-actionmenu.lo $(am__objects_1) $(am__objects_2) \
	$(am__objects_3) $(am__objects_4)
im_ja_le_la_OBJECTS = $(am_im_ja_le_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(im_ja_le_la_SOURCES)
DIST_SOURCES = $(am__im_ja_le_la_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/boti/MY_PROGS/IM/im-ja-build/im-ja-1.5/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/boti/MY_PROGS/IM/im-ja-build/im-ja-1.5/missing --run tar
ANTHY_LIBS = -lanthydic -lanthy -lanthyinput
AR = ar
AUTOCONF = ${SHELL} /home/boti/MY_PROGS/IM/im-ja-build/im-ja-1.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/boti/MY_PROGS/IM/im-ja-build/im-ja-1.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/boti/MY_PROGS/IM/im-ja-build/im-ja-1.5/missing --run automake-1.9
AWK = gawk
CANNA_LIBS = -lRKC
CATALOGS =  ca.gmo de.gmo es.gmo ja.gmo hu.gmo
CATOBJEXT = .gmo
CC = ccache gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = ccache gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=none
CXXFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEBUG_FLAGS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_ANTHY_FALSE = 
DISABLE_ANTHY_FLAG = 
DISABLE_ANTHY_TRUE = #
DISABLE_CANNA_FALSE = 
DISABLE_CANNA_FLAG = 
DISABLE_CANNA_TRUE = #
DISABLE_SKK_FALSE = 
DISABLE_SKK_FLAG = 
DISABLE_SKK_TRUE = #
DISABLE_WNN_FALSE = #
DISABLE_WNN_FLAG = -DDISABLE_WNN
DISABLE_WNN_TRUE = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONFTOOL = /usr/bin/gconftool-2
GCONF_CFLAGS = -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -pthread -lgconf-2 -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
GCONF_SCHEMAS_INSTALL_FALSE = #
GCONF_SCHEMAS_INSTALL_TRUE = 
GCONF_SCHEMA_CONFIG_SOURCE = xml:merged:/etc/gconf/gconf.xml.defaults
GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas
GETTEXT_PACKAGE = im-ja
GMOFILES =  ca.gmo de.gmo es.gmo ja.gmo hu.gmo
GMSGFMT = /usr/bin/msgfmt
GNOME_DIR = gnome-panel-applet
GTK_CFLAGS = -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_LIBS = -L/usr/X11R6/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -lXext -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GTK_VERSION = 2.4.0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /usr/bin/msgfmt
INTLTOOL_MSGMERGE = /usr/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XGETTEXT = /usr/bin/xgettext
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LIBGLADE_CFLAGS = -DXTHREADS -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBGLADE_LIBS = -L/usr/X11R6/lib -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lz -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -lXext -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
LIBOBJS = 
LIBPANELAPPLET_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/panel-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-keyring-1 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/freetype2 -I/usr/include/libxml2

=== debian/changelog ===
im-ja (1.5-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Mon, 17 Apr 2005 20:16:10 +0200

im-ja (1.4-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Sun, 10 Apr 2005 23:03:10 +0200

im-ja (1.3-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Sun, 13 Feb 2005 22:07:45 +0200

im-ja (1.2-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Fri, 02 Jul 2004 16:18:23 +0900

im-ja (1.1-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Wed, 26 May 2004 19:23:36 +0900

im-ja (1.0-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Thu, 11 Mar 2004 20:34:23 +0200

im-ja (0.9-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Mon, 15 Dec 2003 14:01:34 +0900

im-ja (0.8-1) unstable; urgency=low
  * upstream release. See the Changelog.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Sun, 7 Sep 2003 15:11:43 +0900

im-ja (0.7-2) unstable; urgency=low
  * Fixed input blocking bug with scroll and numlock.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Wed, 30 Jul 2003 21:25:34 +0900
 

im-ja (0.7-1) unstable; urgency=low
  * im-ja-applet package

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Wed, 30 Jul 2003 21:25:34 +0900

im-ja (0.6-1) unstable; urgency=low
  * See the Changelog

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Tue, 1 Jul 2003 20:39:25 +0900

im-ja (0.5-2) unstable; urgency=low
  * Package fixes: conflicts, replaces, and postinst

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Thu, 11 Jun 2003 20:54:45 +0900

im-ja (0.5-1) unstable; urgency=low
  * See the Changelog

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Wed, 11 Jun 2003 21:32:35 +0900

im-ja (0.4-1) unstable; urgency=low
  * See the Changelog

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Fri, 02 May 2003 20:20:41 +0900

im-ja (0.3-1) unstable; urgency=low
  * WNN support, etc. 

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Tue, 15 Apr 2003 19:11:10 +0900

im-ja (0.2-1) unstable; urgency=low
  * Minor bugfixes. 

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Sun, 03 Mar 2003 19:43:49 +0900

im-ja (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Botond Botyanszki <b0ti@users.sourceforge.net>  Mon, 17 Feb 2003 13:13:19 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: im-ja
Section: libs
Priority: optional
Maintainer: Botond Botyanszki <b0ti@users.sourceforge.net>
Build-Depends: debhelper (>> 3.0.0), automake1.7 || automake1.8 || automake1.9, libxml-parser-perl, libglade2-dev, libpanel-applet2-dev, libgtk2.0-dev, gconf2, libcanna1g-dev, libanthy-dev
Standards-Version: 3.5.2

Package: im-ja
Architecture: any
Suggests: canna, anthy, freewnn-jserver, im-ja-applet, ttf-kochi-gothic-naga10, ttf-kochi-mincho-naga10
Depends: ${shlibs:Depends}, gconf2
Conflicts: im-ja-wnn, im-ja-canna, im-ja-anthy
Replaces: im-ja-wnn, im-ja-canna, im-ja-anthy, im-ja
Description: a Japanese input module for GTK2 and a XIM server
 im-ja is a Japanese input module for GTK2 and also has a XIM server.
 It supports canna, wnn, skk and anthy for kanji conversion in addition
 to hiragana, katakana, half-width katakana, zenkaku and kanji character 
 recognition and radical lookup input modes.
 
Package: im-ja-applet
Architecture: any
Depends: ${shlibs:Depends}, im-ja (>= 1.5-1)
Description: a gnome panel applet for im-ja
 im-ja is a Japanese input module for GTK2 and also has a XIM server.
 This package contains an applet for the gnome panel that displays the
 status of im-ja and enables the user to switch between input modes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f config.log config.cache

	# Add here commands to clean up after the build process.
#	-$(MAKE) distclean

	dh_clean

install: build
#build im-ja
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#build and install im-ja and im-ja-applet
	./configure \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc \
	--libexecdir=\$${libdir}
	# Add here commands to compile the package.
	$(MAKE)
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	$(MAKE) install \
	    prefix=$(CURDIR)/debian/im-ja/usr \
	    sysconfdir=$(CURDIR)/debian/im-ja/etc
#move over stuff into im-ja-applet
	mv $(CURDIR)/debian/im-ja/usr/lib/bonobo $(CURDIR)/debian/im-ja-applet/usr/lib/
	mv $(CURDIR)/debian/im-ja/usr/lib/im-ja/im-ja-applet $(CURDIR)/debian/im-ja-applet/usr/lib/im-ja/
	mv $(CURDIR)/debian/im-ja/usr/share/gnome-2.0 $(CURDIR)/debian/im-ja-applet/usr/share/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs 
#	dh_installmenu
#	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_gconf
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
